#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=Standard.ico
#AutoIt3Wrapper_Res_Comment=GDI - Example by XovoxKingdom
#AutoIt3Wrapper_Res_Description=GDI - Example by XovoxKingdom
#AutoIt3Wrapper_Res_Fileversion=1.0
#AutoIt3Wrapper_Res_LegalCopyright=XovoxKingdom
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <GDIPlus.au3>
#Include <Misc.au3>
#Include <Winapi.au3>
DirCreate(@ScriptDir&"\RESSOURCE")
If DirGetSize(@ScriptDir&"\RESSOURCE")>-1 Then
$Path = @ScriptDir&"\RESSOURCE"
FileInstall("C:\Users\XovoxKingdom\Desktop\GUI Form\GUI.bmp",$Path&"\GUI.bmp")
FileInstall("C:\Users\XovoxKingdom\Desktop\GUI Form\Maximieren.png",$Path&"\Maximieren.png")
FileInstall("C:\Users\XovoxKingdom\Desktop\GUI Form\Wiederherstellen.png",$Path&"\Wiederherstellen.png")
FileInstall("C:\Users\XovoxKingdom\Desktop\GUI Form\Schlieen.png",$Path&"\Schlieen.png")
FileInstall("C:\Users\XovoxKingdom\Desktop\GUI Form\Minimieren.png",$Path&"\Minimieren.png")
FileInstall("C:\Users\XovoxKingdom\Desktop\GUI Form\Standard.ico",$Path&"\Standard.ico")
Else
	MsgBox(0,0,"ERROR!")
	Exit
EndIf

_GDIPlus_Startup()
#Region ### START Koda GUI section ### Form=
Global $DLL, $S = "GDI Example GUI - XovoxKingdom"
$DLL = DllOpen("user32.dll")
$Form1 = GUICreate("Form1-GDI", 400, 400, -1, -1, $WS_POPUP, $WS_EX_TOPMOST)
$HWND=WinGetHandle("Form1-GDI")
$h_Graphic = _GDIPlus_GraphicsCreateFromHWND($Form1)
$G_BG = _GDIPlus_ImageLoadFromFile(@ScriptDir&"\RESSOURCE\GUI.bmp")
$G_Max = _GDIPlus_ImageLoadFromFile(@ScriptDir&"\RESSOURCE\Maximieren.png")
$G_Wid = _GDIPlus_ImageLoadFromFile(@ScriptDir&"\RESSOURCE\Wiederherstellen.png")
$G_X = _GDIPlus_ImageLoadFromFile(@ScriptDir&"\RESSOURCE\Schlieen.png")
$G_Min = _GDIPlus_ImageLoadFromFile(@ScriptDir&"\RESSOURCE\Minimieren.png")
$ICON=GUICtrlCreateIcon(@ScriptDir&"\RESSOURCE\Standard.ico",-1,2,2,24,24)
GUIRegisterMsg(0xF,"MY_PAINT")
GUISetBkColor(0xd6d6d6)
WinSetOnTop($hWnd,"",0)
GUISetState(@SW_SHOW)
REPAINT()

#EndRegion ### END Koda GUI section ###

While 1
	$msg=GUIGetMsg()
	If $msg = -3 Then Exit
	If $msg = -5 Then REPAINT()
	$p=GUIGetCursorInfo()
	If IsArray($p)=True Then
	If $p[2]=1 Then
	Select
		Case $p[0]>330 And $p[0]< 348 And $p[1]>4 And $p[1] < 21
			Sleep(100)
			WinSetState($HWND,"",@SW_MINIMIZE)
		Case $p[0]>352 And $p[0]< 370 And $p[1]>4 And $p[1] < 21
			Sleep(100)
			ToolTip("Maximieren noch nicht hinzugefgt!")
		Case $p[0]>374 And $p[0]< 394 And $p[1]>4 And $p[1] < 21
			_GDIPlus_GraphicsClear($h_Graphic,0xd6d6d6d6)
			_GDIPlus_Shutdown()
			Exit
		Case $p[0]>-1 And $p[0] < 401 And $p[1]>-1 And $p[1] < 32
			MOVE()
		Case Else
			Sleep(10)
	EndSelect

Sleep(10)
ElseIf _IsPressed("02",$DLL) Then
	Select
		Case $p[0]>-1 And $p[0] < 32 And $p[1]>-1 And $p[1] < 32
	$File=FileOpenDialog("ICON Datei","C:\Program Files\Acer GameZone\Airport Mania First Flight","(*.ico) Icons")
	If FileExists($File)=True Then
		GUICtrlSetImage($ICON,$File)
		REPAINT()
		ControlHide("Form1-GDI","","Static1")
		ControlShow("Form1-GDI","","Static1")
	EndIf
Case		$p[0]>-1 And $p[0] < 401 And $p[1]>-1 And $p[1] < 32

	Title()

EndSelect
EndIf
Else
	Sleep(10)
	EndIf
WEnd

Func MOVE()
	$c=WinGetPos($HWND)
			$o=MouseGetPos()
			$d1=$o[0]-$c[0]
			$d2=$o[1]-$c[1]
			While _IsPressed("01",$DLL)
				$o=MouseGetPos()
				WinMove($HWND,"",$o[0]-$d1,$o[1]-$d2)
			WEnd
		EndFunc

Func MY_PAINT($hWnd, $Msg, $wParam, $lParam)
	_GDIPlus_GraphicsDrawImage($h_Graphic,$G_BG,0,0)
_GDIPlus_GraphicsDrawImage($h_Graphic,$G_X,378, 8)
_GDIPlus_GraphicsDrawImage($h_Graphic,$G_Max,356, 11)
_GDIPlus_GraphicsDrawImage($h_Graphic,$G_Min,334, 17)
$hBrush = _GDIPlus_BrushCreateSolid (0xFF777777)
	$hFormat = _GDIPlus_StringFormatCreate ()
	$hFamily = _GDIPlus_FontFamilyCreate ("Arial")
    $hFont = _GDIPlus_FontCreate ($hFamily, 12, 1)
    $tLayout = _GDIPlus_RectFCreate (26,6)
    $aInfo = _GDIPlus_GraphicsMeasureString ($h_Graphic, $S, $hFont, $tLayout, $hFormat)
    _GDIPlus_GraphicsDrawStringEx ($h_Graphic, $S, $hFont, $aInfo[0], $hFormat, $hBrush)
	ControlHide("Form1-GDI","","Static1")
		ControlShow("Form1-GDI","","Static1")
; Return RUNDEF, so that the internal PAINT is called, too
Return $GUI_RUNDEFMSG
EndFunc
Func Title()
	$U = InputBox("Neuer Titel","Gib einen neuen Fenstertitel ein:")
	If $U <> "" And StringLen($U) < 21 Then
		$S = $U
	EndIf
	_WinAPI_RedrawWindow($hWnd)
	REPAINT()
EndFunc
Func REPAINT()
	_GDIPlus_GraphicsDrawImage($h_Graphic,$G_BG,0,0)
_GDIPlus_GraphicsDrawImage($h_Graphic,$G_X,378, 8)
_GDIPlus_GraphicsDrawImage($h_Graphic,$G_Max,356, 11)
_GDIPlus_GraphicsDrawImage($h_Graphic,$G_Min,334, 17)
$hBrush = _GDIPlus_BrushCreateSolid (0xFF777777)
	$hFormat = _GDIPlus_StringFormatCreate ()
	$hFamily = _GDIPlus_FontFamilyCreate ("Arial")
    $hFont = _GDIPlus_FontCreate ($hFamily, 12, 1)
    $tLayout = _GDIPlus_RectFCreate (26,6)
    $aInfo = _GDIPlus_GraphicsMeasureString ($h_Graphic, $S, $hFont, $tLayout, $hFormat)
    _GDIPlus_GraphicsDrawStringEx ($h_Graphic, $S, $hFont, $aInfo[0], $hFormat, $hBrush)
	ControlHide("Form1-GDI","","Static1")
		ControlShow("Form1-GDI","","Static1")
EndFunc
